org.apache.maven.cli

## Class ConsoleDownloadMonitor

- java.lang.Object
- - AbstractLogEnabled
  - - org.apache.maven.cli.AbstractConsoleDownloadMonitor
    - - org.apache.maven.cli.ConsoleDownloadMonitor

-     public class ConsoleDownloadMonitor
      extends AbstractConsoleDownloadMonitor

  Console download progress meter. Properly handles multiple downloads simultaneously.
  Version:
    $Id: ConsoleDownloadMonitor.java 747773 2009-02-25 13:35:29Z brett $
  Author:
    Brett Porter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsoleDownloadMonitor()`
    `ConsoleDownloadMonitor(Logger logger)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `transferCompleted(TransferEvent transferEvent)`
    `void` | `transferInitiated(TransferEvent transferEvent)`
    `void` | `transferProgress(TransferEvent transferEvent, byte[] buffer, int length)` Do nothing
    `void` | `transferStarted(TransferEvent transferEvent)` Do nothing

    - ### Methods inherited from class org.apache.maven.cli.AbstractConsoleDownloadMonitor

      `createCompletionLine, debug, transferError`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsoleDownloadMonitor

          public ConsoleDownloadMonitor(Logger logger)

    - #### ConsoleDownloadMonitor

          public ConsoleDownloadMonitor()

  - ### Method Detail

    - #### transferInitiated

          public void transferInitiated(TransferEvent transferEvent)

      Overrides:
        `transferInitiated` in class `AbstractConsoleDownloadMonitor`

    - #### transferStarted

          public void transferStarted(TransferEvent transferEvent)

      Description copied from class: `AbstractConsoleDownloadMonitor`
      Do nothing
      Overrides:
        `transferStarted` in class `AbstractConsoleDownloadMonitor`

    - #### transferProgress

          public void transferProgress(TransferEvent transferEvent,
                              byte[] buffer,
                              int length)

      Description copied from class: `AbstractConsoleDownloadMonitor`
      Do nothing
      Overrides:
        `transferProgress` in class `AbstractConsoleDownloadMonitor`

    - #### transferCompleted

          public void transferCompleted(TransferEvent transferEvent)

      Overrides:
        `transferCompleted` in class `AbstractConsoleDownloadMonitor`